// 监听群解散的消息，直接跳转到会话列表页面
export default {
    data() {
        return {
            currentTargetId: ''
        }
    },
    onLoad(e) {
        this.currentTargetId = e.targetId

        uni.$once('onGroupDismiss_' + e.targetId, () => {
            uni.showToast({
                icon: 'none',
                title: '当前群已解散'
            })
            uni.switchTab({
                url: '/pages/im/index'
            })
        })
        uni.$once('onGroupRemoveYou_' + e.targetId, () => {
            uni.showToast({
                icon: 'none',
                title: '您已被移出群聊'
            })
            uni.switchTab({
                url: '/pages/im/index'
            })
        })
    },
    onUnload() {
        uni.$off('onGroupDismiss_' + this.currentTargetId)
        uni.$off('onGroupRemoveYou_' + this.currentTargetId)
    }
}
